> For the complete documentation index, see [llms.txt](https://docs.xplorpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xplorpay.com/api-reference/api/payments/cards-card-not-present/hpp-signature-verification.md).

# HPP signature verification

The **HPP signature verification** service allows you to verify the digital signature of a transaction webhook without implementing signature verification in your own application. The service accepts the complete transaction webhook payload and uses the terminal public key provided in the request to verify the webhook signature.

Use this service when you prefer a hosted verification option instead of implementing local signature verification.

To verify a transaction webhook:

* Receive the transaction webhook from the Xplor Pay.
* Send the complete webhook payload to the HPP Signature Verification Service.
* Include the terminal public key in the `public-key` request header.
* The service verifies the webhook signature.
* Check the verification response to determine whether the signature is valid.

Related topics:

* [Transaction Webhooks](https://docs.xplorpay.com/api-reference/webhooks/working-with-webhooks/transaction-webhooks)
* [Transaction Alert Settings](https://docs.xplorpay.com/api-reference/api/payments/gateway-settings#transaction-alert)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xplorpay.com/api-reference/api/payments/cards-card-not-present/hpp-signature-verification.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
